public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lua/lua-openssl/
Date: Tue, 24 Nov 2020 18:12:12 +0000 (UTC)	[thread overview]
Message-ID: <1606241519.a29033d14428c9cc23d49cda7d8226841e3beb72.conikost@gentoo> (raw)

commit:     a29033d14428c9cc23d49cda7d8226841e3beb72
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 24 18:09:55 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Tue Nov 24 18:11:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a29033d1

dev-lua/lua-openssl: block against dev-lua/luasec

Since dev-lua/luasec is an alternative, we must block against it, as
otherwise we will have a file collision.

Closes: https://bugs.gentoo.org/756328
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/lua-openssl/lua-openssl-0.7.8_p0-r1.ebuild | 76 ++++++++++++++++++++++
 1 file changed, 76 insertions(+)

diff --git a/dev-lua/lua-openssl/lua-openssl-0.7.8_p0-r1.ebuild b/dev-lua/lua-openssl/lua-openssl-0.7.8_p0-r1.ebuild
new file mode 100644
index 00000000000..3f4cf467fa9
--- /dev/null
+++ b/dev-lua/lua-openssl/lua-openssl-0.7.8_p0-r1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+MY_PV="${PV//_p/-}"
+
+DESCRIPTION="OpenSSL binding for Lua"
+HOMEPAGE="https://github.com/zhaozg/lua-openssl"
+LUA_AUX_COMMIT="b56f6937096acea34ddf241ec7ea08ac52414d18"
+LUA_COMPAT_COMMIT="a1735f6e6bd17588fcaf98720f0548c4caa23b34"
+SRC_URI="https://github.com/zhaozg/lua-openssl/archive/${MY_PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/zhaozg/lua-auxiliar/archive/${LUA_AUX_COMMIT}.tar.gz -> ${PN}-aux-${LUA_AUX_COMMIT}.tar.gz
+	https://github.com/keplerproject/lua-compat-5.3/archive/${LUA_COMPAT_COMMIT}.tar.gz -> ${PN}-compat-${LUA_COMPAT_COMMIT}.tar.gz"
+
+LICENSE="MIT openssl PHP-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="libressl luajit test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	luajit? ( dev-lang/luajit:2 )
+	!luajit? ( >=dev-lang/lua-5.1:0 )
+	libressl? ( dev-libs/libressl:0= )
+	!libressl? ( dev-libs/openssl:0=[-bindist] )
+	!dev-lua/luacrypto
+	!dev-lua/luaossl
+	!dev-lua/luasec
+"
+BDEPEND="virtual/pkgconfig"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+src_prepare() {
+	rmdir deps/auxiliar deps/lua-compat || die
+	mv "${WORKDIR}/lua-auxiliar-${LUA_AUX_COMMIT}" deps/auxiliar || die
+	mv "${WORKDIR}/lua-compat-5.3-${LUA_COMPAT_COMMIT}" deps/lua-compat || die
+
+	# fixes: deps/auxiliar/auxiliar.c:11:10: fatal error: c-api/compat-5.3.h: No such file or directory
+	ln -sv lua-compat/c-api deps/c-api
+
+	default
+}
+
+src_configure() {
+	tc-export PKG_CONFIG
+	LUA_VERSION="$(${PKG_CONFIG} --variable=$(usex luajit abiver V) $(usex luajit luajit lua))"
+	LUA_CFLAGS="$(${PKG_CONFIG} $(usex luajit luajit lua) --cflags) ${CFLAGS}"
+	LUA_LIBS="$(${PKG_CONFIG} $(usex luajit luajit lua) --libs) ${LDFLAGS}"
+	INSTALL_CMOD="$(${PKG_CONFIG} $(usex luajit luajit lua) --variable=INSTALL_CMOD)"
+	INSTALL_LMOD="$(${PKG_CONFIG} $(usex luajit luajit lua) --variable=INSTALL_LMOD)"
+
+	export LUA_VERSION LUA_CFLAGS LUA_LIBS
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)"
+}
+
+src_test() {
+	TZ=UTC emake CC="$(tc-getCC)" test
+}
+
+src_install() {
+	emake PREFIX="${ED}/usr" LUA_LIBDIR="${ED}/${INSTALL_CMOD}" install
+
+	# install lua code as well
+	insinto "${INSTALL_LMOD}"
+	doins -r lib/*
+
+	einstalldocs
+}


             reply	other threads:[~2020-11-24 18:12 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-24 18:12 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-23 23:51 [gentoo-commits] repo/gentoo:master commit in: dev-lua/lua-openssl/ Conrad Kostecki
2023-05-31 16:18 Conrad Kostecki
2023-05-31 16:18 Conrad Kostecki
2022-02-04 12:37 Conrad Kostecki
2022-02-04 12:37 Conrad Kostecki
2022-01-20 23:56 Conrad Kostecki
2021-08-16 19:57 Conrad Kostecki
2021-04-30 17:42 Mikle Kolyada
2021-04-22 19:31 Sergei Trofimovich
2021-04-21 20:29 Conrad Kostecki
2021-04-21 20:11 Conrad Kostecki
2021-04-20 21:20 Sergei Trofimovich
2021-04-15 21:38 Conrad Kostecki
2021-04-14 20:08 Conrad Kostecki
2021-04-14 20:08 Conrad Kostecki
2021-02-21 21:22 Conrad Kostecki
2021-01-27 19:48 Conrad Kostecki
2020-12-20 22:56 Conrad Kostecki
2020-12-20 22:56 Conrad Kostecki
2020-12-04 23:10 Conrad Kostecki
2020-12-04 11:32 Conrad Kostecki
2020-12-04 11:15 Conrad Kostecki
2020-12-04 11:12 Conrad Kostecki
2020-12-04 11:12 Conrad Kostecki
2020-11-24 18:12 Conrad Kostecki
2020-06-20  1:27 Aaron Bauman
2020-04-23 20:38 Patrick McLean
2020-01-30  1:19 Patrick McLean
2020-01-28 19:39 Stefan Strogin
2019-12-06  4:29 Patrick McLean
2019-12-06  2:41 Patrick McLean
2018-11-09 22:53 Patrice Clement
2018-09-30 13:24 Michał Górny
2018-09-30 13:24 Michał Górny
2018-04-08 19:59 Jonas Stein
2016-06-26 12:21 Anthony G. Basile
2015-10-24 13:03 Amy Winston
2015-10-24 12:13 Amy Winston

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1606241519.a29033d14428c9cc23d49cda7d8226841e3beb72.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox